org.labkey.remoteapi.query

## Class DeleteRowsCommand

- java.lang.Object
- - org.labkey.remoteapi.Command<ResponseType>
  - - org.labkey.remoteapi.PostCommand<SaveRowsResponse>
    - - org.labkey.remoteapi.query.SaveRowsCommand
      - - org.labkey.remoteapi.query.DeleteRowsCommand

-     public class DeleteRowsCommand
      extends SaveRowsCommand

  Command for deleting rows from a read-write schema. The user associated with the connection used when executing this command must have permission to delete the data.

  For details on schemas and queries, and example code, see the `SaveRowsCommand`.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.labkey.remoteapi.Command

      `Command.CommonParameters, Command.Response`

  - ### Field Summary

    - ### Fields inherited from class org.labkey.remoteapi.Command

      `CONTENT_TYPE_JSON`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DeleteRowsCommand(DeleteRowsCommand source)`
    `DeleteRowsCommand(java.lang.String schemaName, java.lang.String queryName)` Constructs a DeleteRowsCommand for the given schemaName and queryName.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `DeleteRowsCommand` | `copy()` Returns a copy of this object.

    - ### Methods inherited from class org.labkey.remoteapi.query.SaveRowsCommand

      `addRow, createResponse, getExtraContext, getJsonObject, getQueryName, getRows, getSchemaName, setExtraContext, setQueryName, setRows, setSchemaName`

    - ### Methods inherited from class org.labkey.remoteapi.PostCommand

      `createRequest, setJsonObject`

    - ### Methods inherited from class org.labkey.remoteapi.Command

      `_execute, execute, getActionName, getActionUrl, getControllerName, getHttpRequest, getParameters, getParamValueAsString, getQueryString, getRequiredVersion, getTimeout, setParameters, setRequiredVersion, setTimeout`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DeleteRowsCommand

          public DeleteRowsCommand(java.lang.String schemaName,
                                   java.lang.String queryName)

      Constructs a DeleteRowsCommand for the given schemaName and queryName. See the `SaveRowsCommand` for more details.
      Parameters:
        `schemaName` - The schemaName
        `queryName` - The queryName.
      See Also:
        `SaveRowsCommand`

    - #### DeleteRowsCommand

          public DeleteRowsCommand(DeleteRowsCommand source)

  - ### Method Detail

    - #### copy

          public DeleteRowsCommand copy()

      Description copied from class: `Command`
      Returns a copy of this object. Derived classes should override this to copy their own data members
      Specified by:
        `copy` in class `SaveRowsCommand`
      Returns:
        A copy of this object